<a href="/article/{{ data.id }}">
  <div class="event" data-aos="zoom-in" data-aos-duration="500">
    <div class="img">
      <img
        [src]="data.image ? imageUrl + data.image : imageUrl + defaultImageUrl"
        alt=""
      />
    </div>
    <div class="content">
      <div class="title">
        <p>{{ data.title }}</p>
      </div>
      <div class="detail">
        <p>
          <fa-icon [icon]="faCalendar"></fa-icon>
          <span>{{ data.date }}</span>
        </p>
        <p>
          <fa-icon [icon]="faHeart"></fa-icon>
          <span>{{ data.likes }}</span>
        </p>
      </div>
      <div class="description">
        <p>
          {{
            data.text.length > 200
              ? (data.text | slice: 0:200) + " ..."
              : data.text
          }}
        </p>
      </div>
    </div>
  </div>
</a>
